#!/usr/bin/env python
# -*- coding: utf-8 -*- #
# vim:sts=4:sw=4

AUTHOR = 'LibreItalia'
SITENAME = 'Conferenze - LibreItalia'
SITEURL = ''

PATH = 'content'

TIMEZONE = 'Europe/Rome'

DEFAULT_LANG = 'it'

PLUGIN_PATHS = [ "plugins", ]
PLUGINS = [ "pelican_alias", ]

STATIC_PATHS = [ 'js', 'images', 'css' ]

DEFAULT_PAGINATION = False

PAGE_URL = '{slug}/'
PAGE_SAVE_AS = '{slug}/index.html'

MENUITEMS = ( ("2020", "/2020/"), )
DISPLAY_PAGES_ON_MENU = False
DISPLAY_CATEGORIES_ON_MENU = False

# Blue Penguin theme
THEME = 'themes/blue-penguin'
DISPLAY_HOME = False
FOOTER = "Contenuti rilasciati con licenza CC-SA-BY 4.0"

# Gum theme
#THEME = 'themes/gum'

# Foundation theme
#THEME = 'themes/foundation'
#FOUNDATION_FOOTER_TEXT = " "

# Buruma theme
#THEME = 'themes/buruma'
#JINJA_ENVIRONMENT = {
#    "extensions": ["jinja2.ext.i18n"],
#}
#PLUGINS = ["i18n_subsites", "pelican_alias", ]
#CATS_NOT_DROPDOWN = True
#MENUITEMS_NAVBAR = ( ("2020", "/2020/"), )
#FOOTER = ()

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
#LINKS = (('Pelican', 'https://getpelican.com/'),
#         ('Python.org', 'https://www.python.org/'),
#         ('Jinja2', 'https://palletsprojects.com/p/jinja/'),
#         ('You can modify those links in your config file', '#'),)

# Social widget
#SOCIAL = (('You can add links in your config file', '#'),
#          ('Another social link', '#'),)

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True
